﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Reflection;

namespace LogAnalysiser
{
    public static class CommonUntil
    {
        public static string GetApplicationVersionFromAssembly()
        {
            object[] attributes = Assembly.GetExecutingAssembly().GetCustomAttributes(typeof(AssemblyFileVersionAttribute), false);
            if (attributes.Length == 0) return "1.1.0.0";
            else return ((AssemblyFileVersionAttribute)attributes[0]).Version;
        }

        public static string GetApplicationVersionFromExeFile()
        {
            byte[] fileByte = File.ReadAllBytes("LogAnalysiser.exe");
            return Assembly.Load(fileByte).GetName().Version.ToString();
        }
    }
}
